Qyra
ReferenceSchedulers

Reassign scheduler owner

Reassign ownership of multiple schedulers

PATCH/api/v1/schedulers/{projectUuid}/reassign-owner

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Path parameters

NameTypeRequiredDescription
projectUuidstringYesThe uuid of the project

Request body

{
  "newOwnerUserUuid": "string",
  "schedulerUuids": [
    "string"
  ]
}

Responses

200 — Success

{
  "results": [
    {
      "projectName": "string",
      "projectUuid": "string",
      "plainTextEmail": true,
      "includeLinks": true,
      "notificationFrequency": "always",
      "enabled": true,
      "thresholds": [
        {
          "value": 0,
          "fieldId": "string",
          "operator": "greaterThan"
        }
      ],
      "options": {
        "xlsxFileLayout": "zip",
        "exportPivotedData": true,
        "asAttachment": true,
        "limit": 0,
        "formatted": true
      },
      "appName": "string",
      "appUuid": null,
      "savedSqlName": "string",
      "savedSqlUuid": null,
      "dashboardName": "string",
      "dashboardUuid": null,
      "savedChartName": "string",
      "savedChartUuid": "string",
      "projectSchedulerTimezone": "string",
      "timezone": "string",
      "cron": "string",
      "format": "csv",
      "createdByName": "string",
      "createdBy": "string",
      "updatedAt": "2024-01-01T00:00:00.000Z",
      "createdAt": "2024-01-01T00:00:00.000Z",
      "message": "string",
      "name": "string",
      "slug": "string",
      "schedulerUuid": "string",
      "parameters": {
        "property": "string"
      },
      "filters": {
        "tableCalculations": {
          "or": [
            {}
          ],
          "id": "string"
        },
        "metrics": {
          "or": [
            {}
          ],
          "id": "string"
        },
        "dimensions": {
          "or": [
            {}
          ],
          "id": "string"
        }
      },
      "latestRun": {
        "format": "csv",
        "createdByUserName": "string",
        "createdByUserUuid": "string",
        "resourceName": "string",
        "resourceUuid": "string",
        "resourceType": "chart",
        "logCounts": {
          "error": 0,
          "completed": 0,
          "started": 0,
          "scheduled": 0,
          "total": 0
        },
        "details": {},
        "createdAt": "2024-01-01T00:00:00.000Z",
        "runStatus": "completed",
        "status": "scheduled",
        "scheduledTime": "2024-01-01T00:00:00.000Z",
        "schedulerName": "string",
        "schedulerUuid": "string",
        "runId": "string"
      },
      "targets": [
        {
          "channel": "string",
          "schedulerUuid": "string",
          "updatedAt": "2024-01-01T00:00:00.000Z",
          "createdAt": "2024-01-01T00:00:00.000Z",
          "schedulerSlackTargetUuid": "string"
        }
      ]
    }
  ],
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}